# Cómo funcionan las aplicaciones Java

El desarrollo de aplicaciones Java EE comienza con un [servidor de aplicaciones](http://2345645.pointblog.net/) compatible con Java EE. Un servidor compatible con Java EE contiene todos los componentes esenciales para proporcionar un entorno robusto para implementar y alojar aplicaciones Java empresariales. El servidor de aplicaciones GlassFish es el estándar de la industria para Java EE 7 y hay dos versiones del servidor: de código abierto y con licencia de Oracle. Para los propósitos de este libro, se utilizará la edición de código abierto. Sin embargo, en un entorno de producción, es posible que desee considerar el uso de la versión con licencia de Oracle para que el soporte técnico esté disponible si es necesario.

[Instalar GlassFish](http://25454.tinyblogging.com/) es fácil. Consiste en descargar un archivo y descomprimirlo en tu máquina de desarrollo. Una vez que haya completado esto, el servidor de aplicaciones hará uso de su kit de desarrollo de Java (JDK) instalado localmente cuando se inicie. Una vez que se inicia el servidor, puede abrir un navegador e ir a http: // localhost: 4848

Para acceder a la consola administrativa de GlassFish. La mayoría de los [desarrolladores de Java EE](http://1238561.blogocial.com/) que implementan en GlassFish utilizan la consola administrativa con frecuencia. La consola administrativa proporciona a los desarrolladores las herramientas necesarias para implementar aplicaciones web, registrar bases de datos con Java Naming and [Directory Interface](http://djej444jd.total-blog.com/educaci-n-inform-tica-29049152) (JNDI), configurar dominios de seguridad para un dominio y hacer mucho más. Para acceder a la consola administrativa de GlassFish por primera vez, utilice el nombre de usuario admin y la contraseña adminadmin. Debería tomarse un tiempo para familiarizarse con la consola administrativa porque cuanto más sepa sobre ella, más fácil será mantener su entorno Java EE.

La instalación del servidor de aplicaciones GlassFish es el primer paso hacia el desarrollo de aplicaciones Java para empresas. Mientras que otros [servidores de aplicaciones](http://juan12322.full-design.com/) como [JBoss](http://erjio022ii.onesmablog.com/), [Apache](http://gdhhd4757.blogolize.com/) TomEE y [WebLogic](http://grg646.pages10.com/Instrucciones-de-la-CPU-39561228) están muy bien adoptados, GlassFish ofrece a los desarrolladores un entorno sólido que es adecuado para el uso en producción y fácil de aprender. También tiene la ventaja de ser un servidor de aplicaciones de código abierto y la implementación de referencia para Java EE 7. 

# Servlets dinámicos en Java

Una de las razones por las que los servlets de Java son tan útiles es porque permiten que se muestre contenido dinámico en una página web. El contenido puede tomarse del servidor mismo, una base de datos, otro sitio web o muchos otros recursos accesibles desde la web. Los servlets no son [páginas web estáticas](https://fgf5675.imblogs.net/53483762/el-n%C3%BAcleo-es-la-cpu); son dinámicos, y esa es posiblemente su mayor fortaleza.

En la solución a esta receta, se utiliza un servlet para mostrar la hora y fecha actuales en el servidor. Cuando se procesa el servlet, se llama al método doGet, que posteriormente realiza una llamada al método processRequest, pasando los objetos de solicitud y respuesta. Por lo tanto, el método processRequest es donde ocurre la [mayor parte del trabajo](https://alfa3l52.blog2learn.com/51126738/instrucciones-del-cpu).

El método processRequest crea un PrintWriter llamando al método response.getWriter, y PrintWriter se utiliza para mostrar contenido en la página web resultante. A continuación, la fecha y hora actuales se obtienen del servidor.

creando una nueva fecha y asignándola al campo currDateAndTime. Por último, el método processRequest envía el contenido web a través del método out.println, y el contenido del campo currDateAndTime se concatena a una cadena y también se envía a out.println. Cada vez que se procesa el servlet, mostrará la fecha y hora actual en el momento en que se invoca el servlet porque se crea una [nueva fecha](https://iuf7567f.diowebhost.com/58448856/sistemas-integrados-microcontroladores-y-arm-11) con cada solicitud.

Este ejemplo solo [rasca la superficie](http://hgb678u.thezenweb.com/Microprocesadores-inteligentes-39832083) de lo que es posible con un servlet Java. Aunque mostrar la fecha y hora actuales es trivial, puede modificar esa lógica para mostrar el contenido de cualquier campo incluido en el servlet. Ya sea un campo int que muestra un cálculo realizado por el contenedor de servlets o un [campo String](http://alv309.blogdigy.com/el-c-digo-fuente-17932193) que contiene información, las posibilidades son infinitas.
